package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtMonthFanInspection;

/**
 * 月度场站风机类型工单Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public interface GxtMonthFanInspectionMapper 
{
    /**
     * 查询月度场站风机类型工单
     * 
     * @param id 月度场站风机类型工单主键
     * @return 月度场站风机类型工单
     */
    public GxtMonthFanInspection selectGxtMonthFanInspectionById(Long id);

    /**
     * 查询月度场站风机类型工单列表
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 月度场站风机类型工单集合
     */
    public List<GxtMonthFanInspection> selectGxtMonthFanInspectionList(GxtMonthFanInspection gxtMonthFanInspection);

    public List<GxtMonthFanInspection> selectGxtMonthFanInspectionListByTwice(GxtMonthFanInspection gxtMonthFanInspection);

    public List<GxtMonthFanInspection> selectGxtMonthFanInspectionListByAdd(GxtMonthFanInspection gxtMonthFanInspection);

    /**
     * 新增月度场站风机类型工单
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 结果
     */
    public int insertGxtMonthFanInspection(GxtMonthFanInspection gxtMonthFanInspection);

    /**
     * 修改月度场站风机类型工单
     * 
     * @param gxtMonthFanInspection 月度场站风机类型工单
     * @return 结果
     */
    public int updateGxtMonthFanInspection(GxtMonthFanInspection gxtMonthFanInspection);

    /**
     * 删除月度场站风机类型工单
     * 
     * @param id 月度场站风机类型工单主键
     * @return 结果
     */
    public int deleteGxtMonthFanInspectionById(Long id);

    /**
     * 批量删除月度场站风机类型工单
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtMonthFanInspectionByIds(Long[] ids);
}